=== src/images/CMakeLists.txt ===
# Copyright 2006 Milan Digital Audio LLC
# Copyright 2009-2022 GrandOrgue contributors (see AUTHORS)
# License GPL-2.0 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).

include(${CMAKE_SOURCE_DIR}/cmake/ConvertImages.cmake)

find_package(wxWidgets REQUIRED core base)
include(${wxWidgets_USE_FILE})

set(IMAGE_LIST)
CONVERTIMAGE(IMAGE_LIST gauge.gif)
CONVERTIMAGE(IMAGE_LIST help.png)
CONVERTIMAGE(IMAGE_LIST memory.png)
CONVERTIMAGE(IMAGE_LIST panic.png)
CONVERTIMAGE(IMAGE_LIST properties.png)
CONVERTIMAGE(IMAGE_LIST reload.png)
CONVERTIMAGE(IMAGE_LIST set.png)
CONVERTIMAGE(IMAGE_LIST transpose.png)
CONVERTIMAGE(IMAGE_LIST reverb.png)
CONVERTIMAGE(IMAGE_LIST open.png)
CONVERTIMAGE(IMAGE_LIST polyphony.png)
CONVERTIMAGE(IMAGE_LIST record.png)
CONVERTIMAGE(IMAGE_LIST save.png)
CONVERTIMAGE(IMAGE_LIST settings.png)
CONVERTIMAGE(IMAGE_LIST volume.png)
CONVERTIMAGE(IMAGE_LIST Splash.jpg)
CONVERTIMAGE(IMAGE_LIST ASIO.jpg)
CONVERTIMAGE(IMAGE_LIST "${RESOURCEDIR}/GOIcon.ico")
CONVERTIMAGE(IMAGE_LIST ManualCBlackDown.png)
CONVERTIMAGE(IMAGE_LIST ManualCBlackUp.png)
CONVERTIMAGE(IMAGE_LIST ManualCWhiteDown.png)
CONVERTIMAGE(IMAGE_LIST ManualCWhiteUp.png)
CONVERTIMAGE(IMAGE_LIST ManualCWoodDown.png)
CONVERTIMAGE(IMAGE_LIST ManualCWoodUp.png)
CONVERTIMAGE(IMAGE_LIST ManualDBlackDown.png)
CONVERTIMAGE(IMAGE_LIST ManualDBlackUp.png)
CONVERTIMAGE(IMAGE_LIST ManualDWhiteDown.png)
CONVERTIMAGE(IMAGE_LIST ManualDWhiteUp.png)
CONVERTIMAGE(IMAGE_LIST ManualDWoodDown.png)
CONVERTIMAGE(IMAGE_LIST ManualDWoodUp.png)
CONVERTIMAGE(IMAGE_LIST ManualEBlackDown.png)
CONVERTIMAGE(IMAGE_LIST ManualEBlackUp.png)
CONVERTIMAGE(IMAGE_LIST ManualEWhiteDown.png)
CONVERTIMAGE(IMAGE_LIST ManualEWhiteUp.png)
CONVERTIMAGE(IMAGE_LIST ManualEWoodDown.png)
CONVERTIMAGE(IMAGE_LIST ManualEWoodUp.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalBlackDown.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalBlackUp.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalWhiteDown.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalWhiteUp.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalWoodDown.png)
CONVERTIMAGE(IMAGE_LIST ManualNaturalWoodUp.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpBlackDown.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpBlackUp.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpWhiteDown.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpWhiteUp.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpWoodDown.png)
CONVERTIMAGE(IMAGE_LIST ManualSharpWoodUp.png)
CONVERTIMAGE(IMAGE_LIST PedalNaturalBlackDown.png)
CONVERTIMAGE(IMAGE_LIST PedalNaturalBlackUp.png)
CONVERTIMAGE(IMAGE_LIST PedalNaturalWoodDown.png)
CONVERTIMAGE(IMAGE_LIST PedalNaturalWoodUp.png)
CONVERTIMAGE(IMAGE_LIST PedalSharpBlackDown.png)
CONVERTIMAGE(IMAGE_LIST PedalSharpBlackUp.png)
CONVERTIMAGE(IMAGE_LIST PedalSharpWoodDown.png)
CONVERTIMAGE(IMAGE_LIST PedalSharpWoodUp.png)
CONVERTIMAGE(IMAGE_LIST Wood01.jpg)
CONVERTIMAGE(IMAGE_LIST Wood03.jpg)
CONVERTIMAGE(IMAGE_LIST Wood05.jpg)
CONVERTIMAGE(IMAGE_LIST Wood07.jpg)
CONVERTIMAGE(IMAGE_LIST Wood09.jpg)
CONVERTIMAGE(IMAGE_LIST Wood11.jpg)
CONVERTIMAGE(IMAGE_LIST Wood13.jpg)
CONVERTIMAGE(IMAGE_LIST Wood15.jpg)
CONVERTIMAGE(IMAGE_LIST Wood17.jpg)
CONVERTIMAGE(IMAGE_LIST Wood19.jpg)
CONVERTIMAGE(IMAGE_LIST Wood21.jpg)
CONVERTIMAGE(IMAGE_LIST Wood23.jpg)
CONVERTIMAGE(IMAGE_LIST Wood25.jpg)
CONVERTIMAGE(IMAGE_LIST Wood27.jpg)
CONVERTIMAGE(IMAGE_LIST Wood29.jpg)
CONVERTIMAGE(IMAGE_LIST Wood31.jpg)
CONVERTIMAGE(IMAGE_LIST Wood33.jpg)
CONVERTIMAGE(IMAGE_LIST Wood35.jpg)
CONVERTIMAGE(IMAGE_LIST Wood37.jpg)
CONVERTIMAGE(IMAGE_LIST Wood39.jpg)
CONVERTIMAGE(IMAGE_LIST Wood41.jpg)
CONVERTIMAGE(IMAGE_LIST Wood43.jpg)
CONVERTIMAGE(IMAGE_LIST Wood45.jpg)
CONVERTIMAGE(IMAGE_LIST Wood47.jpg)
CONVERTIMAGE(IMAGE_LIST Wood49.jpg)
CONVERTIMAGE(IMAGE_LIST Wood51.jpg)
CONVERTIMAGE(IMAGE_LIST Wood53.jpg)
CONVERTIMAGE(IMAGE_LIST Wood55.jpg)
CONVERTIMAGE(IMAGE_LIST Wood57.jpg)
CONVERTIMAGE(IMAGE_LIST Wood59.jpg)
CONVERTIMAGE(IMAGE_LIST Wood61.jpg)
CONVERTIMAGE(IMAGE_LIST Wood63.jpg)
CONVERTIMAGE(IMAGE_LIST drawstop01off.png)
CONVERTIMAGE(IMAGE_LIST drawstop01on.png)
CONVERTIMAGE(IMAGE_LIST drawstop02off.png)
CONVERTIMAGE(IMAGE_LIST drawstop02on.png)
CONVERTIMAGE(IMAGE_LIST drawstop03off.png)
CONVERTIMAGE(IMAGE_LIST drawstop03on.png)
CONVERTIMAGE(IMAGE_LIST drawstop04off.png)
CONVERTIMAGE(IMAGE_LIST drawstop04on.png)
CONVERTIMAGE(IMAGE_LIST drawstop05off.png)
CONVERTIMAGE(IMAGE_LIST drawstop05on.png)
CONVERTIMAGE(IMAGE_LIST drawstop06off.png)
CONVERTIMAGE(IMAGE_LIST drawstop06on.png)
CONVERTIMAGE(IMAGE_LIST piston01off.png)
CONVERTIMAGE(IMAGE_LIST piston01on.png)
CONVERTIMAGE(IMAGE_LIST piston02off.png)
CONVERTIMAGE(IMAGE_LIST piston02on.png)
CONVERTIMAGE(IMAGE_LIST piston03off.png)
CONVERTIMAGE(IMAGE_LIST piston03on.png)
CONVERTIMAGE(IMAGE_LIST piston04off.png)
CONVERTIMAGE(IMAGE_LIST piston04on.png)
CONVERTIMAGE(IMAGE_LIST piston05off.png)
CONVERTIMAGE(IMAGE_LIST piston05on.png)
CONVERTIMAGE(IMAGE_LIST label01.png)
CONVERTIMAGE(IMAGE_LIST label02.png)
CONVERTIMAGE(IMAGE_LIST label03.png)
CONVERTIMAGE(IMAGE_LIST label04.png)
CONVERTIMAGE(IMAGE_LIST label05.png)
CONVERTIMAGE(IMAGE_LIST label06.png)
CONVERTIMAGE(IMAGE_LIST label07.png)
CONVERTIMAGE(IMAGE_LIST label08.png)
CONVERTIMAGE(IMAGE_LIST label09.png)
CONVERTIMAGE(IMAGE_LIST label10.png)
CONVERTIMAGE(IMAGE_LIST label11.png)
CONVERTIMAGE(IMAGE_LIST label12.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA00.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA01.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA02.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA03.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA04.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA05.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA06.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA07.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA08.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA09.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA10.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA11.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA12.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA13.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA14.png)
CONVERTIMAGE(IMAGE_LIST EnclosureA15.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB00.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB01.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB02.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB03.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB04.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB05.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB06.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB07.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB08.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB09.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB10.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB11.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB12.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB13.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB14.png)
CONVERTIMAGE(IMAGE_LIST EnclosureB15.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC00.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC01.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC02.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC03.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC04.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC05.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC06.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC07.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC08.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC09.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC10.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC11.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC12.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC13.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC14.png)
CONVERTIMAGE(IMAGE_LIST EnclosureC15.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD00.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD01.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD02.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD03.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD04.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD05.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD06.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD07.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD08.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD09.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD10.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD11.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD12.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD13.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD14.png)
CONVERTIMAGE(IMAGE_LIST EnclosureD15.png)

BUILD_LIBRARY(GrandOrgueImages ${IMAGE_LIST})
add_dependencies(GrandOrgueImages resources) # Build GOIcon.ico before generating .cpp from images
target_link_libraries(GrandOrgueImages ${wxWidgets_LIBRARIES})
link_directories(${wxWidgets_LIBRARY_DIRS})
