=== debian/changelog ===
grandorgue (3.9.5-1) unstable; urgency=medium

  * New upstream version 3.9.5
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Jan 2023 10:55:08 +0100
