=== debian/watch ===
# We don’t use the tags page because some tags (those ending with -0) are not
# actual releases, but only mark the beginning of a development cycle.
# We therefore use the releases page, and we trim the -1 suffix on version numbers.
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d-.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-1$//" \
    https://github.com/GrandOrgue/grandorgue/releases \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
